Bug 1695175 - [rebase] CRD validation needs to be re-enabled
Summary: [rebase] CRD validation needs to be re-enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Michal Fojtik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 15:54 UTC by David Eads
Modified: 2019-06-04 10:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:57 UTC

Description David Eads 2019-04-02 15:54:09 UTC
The rebase disabled CRD validation because the null field wasn't present.  It needs to come back.

This is the commit that disabled it
https://github.com/openshift/origin/pull/22387/commits/d8073b468c20ca1020806c04b8614f01c82b66b5

Comment 1 Michal Fojtik 2019-04-03 09:23:46 UTC
PR: https://github.com/openshift/origin/pull/22462

Comment 2 Michal Fojtik 2019-04-04 17:26:48 UTC
https://github.com/openshift/origin/pull/22464

Comment 3 Michal Fojtik 2019-04-12 11:46:27 UTC
This merged, nothing to QA here, moving directly to verified.

Comment 5 errata-xmlrpc 2019-06-04 10:46:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.